### File

`packages/components/externals/eui-editor/json-view/eui-editor-json-view.component.ts`

### Implements

`AfterViewInit` `OnChanges`

### Metadata

changeDetection | `ChangeDetectionStrategy.OnPush`
encapsulation | `ViewEncapsulation.None`
selector | `eui-editor-json-view`

### Index

###### Properties
string valueSetter
###### Inputs
content theme
###### HostBindings
class

### Inputs

content
Type : `string`

theme
Type : `string`
Default value : `'snow'`

### HostBindings

class
Type : `string`
Default value : `'eui-editor__json-view'`

### Properties

string
Type : `string`
Default value : `'eui-editor__json-view'`
Decorators : `@HostBinding('class')`

valueSetter
Default value : `() => {...}`

# results matching ""

# No results matching ""